/// <reference types="react" />
import * as React from 'react';
import * as PropTypes from 'prop-types';
import { Registry } from '../../registry';
import { IApplicationProps } from './defs';
import { INavigator } from '../navigator';
export declare class Application extends React.Component<IApplicationProps> {
    static childContextTypes: {
        registry: PropTypes.Validator<any>;
        application: PropTypes.Validator<any>;
    };
    navigators: {
        [name: string]: INavigator;
    };
    constructor(props: IApplicationProps);
    getChildContext(): {
        registry: Registry;
        application: {
            registerNavigator: (navigator: INavigator) => void;
        };
    };
    render(): React.ReactNode;
    private registerNavigator;
}
