/// <reference types="react" />
import * as React from 'react';
import { IApplication } from '../application/defs';
import { Registry } from '../../registry';
export interface INavigator {
    name: string;
    parent?: INavigator;
    finishLaunching(): void;
    push<TData>(path: string, params?: TData, transitionStyles?: TransitionStyles): void;
    pop(params?: IHistoryParams): void;
    updateParams(params?: object): void;
}
export interface TransitionStyles {
    entering?: React.CSSProperties;
    entered?: React.CSSProperties;
    exiting?: React.CSSProperties;
    exited?: React.CSSProperties;
}
export interface ScreenParams {
    name: string;
    params?: {
        [key: string]: any;
    };
    transitionStyles?: TransitionStyles;
}
export interface INavigatorProps {
    name: string;
    initialScreens: ScreenParams[];
    launcherScreen?: ScreenParams;
    homeScreen: ScreenParams;
    style?: React.CSSProperties;
    className?: string;
}
export interface INavigatorState {
    screens: ScreenParams[];
    active: number;
}
export interface INavigatorContext {
    application: IApplication;
    registry: Registry;
}
export interface IHistoryParams {
    modifyHistory?: boolean;
}
export interface IInjectNavigator {
    navigator: INavigator;
}
