/// <reference types="react" />
import * as PropTypes from 'prop-types';
import * as React from 'react';
import { TransitionStyles } from './defs';
import { INavigatorProps, INavigatorState, INavigatorContext, INavigator, IHistoryParams } from './defs';
export declare class Navigator extends React.Component<INavigatorProps, INavigatorState> {
    static childContextTypes: {
        navigator: PropTypes.Validator<any>;
    };
    static contextTypes: {
        registry: PropTypes.Validator<any>;
        application: PropTypes.Validator<any>;
    };
    name: string;
    parent: INavigator;
    context: INavigatorContext;
    constructor(props: INavigatorProps, context: INavigatorContext);
    getChildContext(): {
        navigator: {
            name: string;
            parent: INavigator;
            push: (name: string, params?: any, transitionStyles?: TransitionStyles | undefined) => void;
            pop: (params?: IHistoryParams) => void;
            popToRoot: () => never;
            resetTo: () => never;
            showModal: () => never;
            dismissModal: () => never;
            updateParams: (newParams: object, merge?: boolean) => void;
            finishLaunching: () => void;
        };
    };
    render(): JSX.Element;
    private renderScreen;
    finishLaunching: () => void;
    push: (name: string, params?: any, transitionStyles?: TransitionStyles | undefined) => void;
    pop: (params?: IHistoryParams) => void;
    popToRoot: () => never;
    resetTo: () => never;
    showModal: () => never;
    dismissModal: () => never;
    updateParams: (newParams: object, merge?: boolean) => void;
    private replaceState(screen);
}
