/// <reference types="react" />
import { CSSTransition } from 'react-transition-group';
import { INavigator } from '../..';
export interface IScreenProps {
    index: number;
    component: React.ComponentType<any>;
    navigator: INavigator;
    status?: ScreenStatus;
    params?: any;
    style?: React.CSSProperties;
}
export declare enum ScreenStatus {
    IDLE = 0,
    ACTIVE = 1,
}
export interface ScreenCustomProperties {
    screenStyle?: React.CSSProperties;
    animationType?: AnimationType;
    transitionProps?: Partial<CSSTransition.CSSTransitionProps>;
}
export interface ScreenProperties {
}
export declare enum AnimationType {
    NONE = "none",
    PUSH_LEFT = "push-left",
    PUSH_RIGHT = "push-right",
    SLIDE_UP = "slide-up",
    SLIDE_DOWN = "slide-down",
    FADE = "fade",
    SLIDE = "slide",
}
export declare type IScreenComponentProps<TParams = {}> = TParams & {
    navigator: INavigator;
    screenMeta: {
        index: number;
        status: ScreenStatus;
    };
};
