/// <reference types="react" />
import * as React from 'react';
import { IScreenProps } from './defs';
export declare class Screen extends React.Component<IScreenProps> {
    readonly screenStyle: {
        zIndex: number;
    } | {
        alignContent?: "center" | "initial" | "inherit" | "unset" | "flex-start" | "flex-end" | "space-between" | "space-around" | "stretch" | undefined;
        alignItems?: "center" | "initial" | "inherit" | "unset" | "flex-start" | "flex-end" | "stretch" | "baseline" | undefined;
        alignSelf?: "auto" | "center" | "initial" | "inherit" | "unset" | "flex-start" | "flex-end" | "stretch" | "baseline" | undefined;
        alignmentAdjust?: any;
        alignmentBaseline?: any;
        animationDelay?: any;
        animationDirection?: any;
        animationIterationCount?: any;
        animationName?: any;
        animationPlayState?: any;
        appearance?: any;
        backfaceVisibility?: any;
        background?: any;
        backgroundAttachment?: "scroll" | "initial" | "inherit" | "unset" | "fixed" | "local" | undefined;
        backgroundBlendMode?: any;
        backgroundColor?: any;
        backgroundComposite?: any;
        backgroundImage?: any;
        backgroundOrigin?: any;
        backgroundPosition?: any;
        backgroundRepeat?: any;
        backgroundSize?: any;
        baselineShift?: any;
        behavior?: any;
        border?: any;
        borderBottom?: any;
        borderBottomColor?: any;
        borderBottomLeftRadius?: string | number | undefined;
        borderBottomRightRadius?: string | number | undefined;
        borderBottomStyle?: any;
        borderBottomWidth?: any;
        borderCollapse?: any;
        borderColor?: any;
        borderCornerShape?: any;
        borderImageSource?: any;
        borderImageWidth?: any;
        borderLeft?: any;
        borderLeftColor?: any;
        borderLeftStyle?: any;
        borderLeftWidth?: any;
        borderRadius?: string | number | undefined;
        borderRight?: any;
        borderRightColor?: any;
        borderRightStyle?: any;
        borderRightWidth?: any;
        borderSpacing?: any;
        borderStyle?: any;
        borderTop?: any;
        borderTopColor?: any;
        borderTopLeftRadius?: string | number | undefined;
        borderTopRightRadius?: string | number | undefined;
        borderTopStyle?: any;
        borderTopWidth?: any;
        borderWidth?: any;
        bottom?: any;
        boxAlign?: any;
        boxDecorationBreak?: any;
        boxDirection?: any;
        boxLineProgression?: any;
        boxLines?: any;
        boxOrdinalGroup?: any;
        boxFlex?: number | "initial" | "inherit" | "unset" | undefined;
        boxFlexGroup?: number | "initial" | "inherit" | "unset" | undefined;
        boxShadow?: any;
        breakAfter?: any;
        breakBefore?: any;
        breakInside?: any;
        clear?: any;
        clip?: any;
        clipRule?: any;
        color?: any;
        columnCount?: number | "auto" | "initial" | "inherit" | "unset" | undefined;
        columnFill?: any;
        columnGap?: any;
        columnRule?: any;
        columnRuleColor?: any;
        columnRuleWidth?: any;
        columnSpan?: any;
        columnWidth?: any;
        columns?: any;
        counterIncrement?: any;
        counterReset?: any;
        cue?: any;
        cueAfter?: any;
        cursor?: any;
        direction?: any;
        display?: any;
        fill?: any;
        fillOpacity?: number | "initial" | "inherit" | "unset" | undefined;
        fillRule?: any;
        filter?: any;
        flex?: string | number | undefined;
        flexAlign?: any;
        flexBasis?: any;
        flexDirection?: "initial" | "inherit" | "unset" | "row" | "row-reverse" | "column" | "column-reverse" | undefined;
        flexFlow?: string | undefined;
        flexGrow?: number | "initial" | "inherit" | "unset" | undefined;
        flexItemAlign?: any;
        flexLinePack?: any;
        flexOrder?: any;
        flexShrink?: number | "initial" | "inherit" | "unset" | undefined;
        flexWrap?: "initial" | "inherit" | "unset" | "nowrap" | "wrap" | "wrap-reverse" | undefined;
        float?: any;
        flowFrom?: any;
        font?: any;
        fontFamily?: any;
        fontKerning?: any;
        fontSize?: string | number | undefined;
        fontSizeAdjust?: number | "none" | "initial" | "inherit" | "unset" | undefined;
        fontStretch?: "initial" | "inherit" | "unset" | "normal" | "ultra-condensed" | "extra-condensed" | "condensed" | "semi-condensed" | "semi-expanded" | "expanded" | "extra-expanded" | "ultra-expanded" | undefined;
        fontStyle?: "initial" | "inherit" | "unset" | "normal" | "italic" | "oblique" | undefined;
        fontSynthesis?: any;
        fontVariant?: any;
        fontVariantAlternates?: any;
        fontWeight?: "initial" | "inherit" | "unset" | "normal" | "bold" | "bolder" | "lighter" | 100 | 200 | 300 | 400 | 500 | 600 | 700 | 800 | 900 | undefined;
        gridArea?: any;
        gridColumn?: any;
        gridColumnEnd?: any;
        gridColumnStart?: any;
        gridRow?: any;
        gridRowEnd?: any;
        gridRowPosition?: any;
        gridRowSpan?: any;
        gridTemplateAreas?: any;
        gridTemplateColumns?: any;
        gridTemplateRows?: any;
        height?: any;
        hyphenateLimitChars?: any;
        hyphenateLimitLines?: any;
        hyphenateLimitZone?: any;
        hyphens?: any;
        imeMode?: any;
        justifyContent?: "center" | "initial" | "inherit" | "unset" | "flex-start" | "flex-end" | "space-between" | "space-around" | "stretch" | "space-evenly" | undefined;
        layoutGrid?: any;
        layoutGridChar?: any;
        layoutGridLine?: any;
        layoutGridMode?: any;
        layoutGridType?: any;
        left?: any;
        letterSpacing?: any;
        lineBreak?: any;
        lineClamp?: number | "initial" | "inherit" | "unset" | undefined;
        lineHeight?: string | number | undefined;
        listStyle?: any;
        listStyleImage?: any;
        listStylePosition?: any;
        listStyleType?: any;
        margin?: any;
        marginBottom?: any;
        marginLeft?: any;
        marginRight?: any;
        marginTop?: any;
        marqueeDirection?: any;
        marqueeStyle?: any;
        mask?: any;
        maskBorder?: any;
        maskBorderRepeat?: any;
        maskBorderSlice?: any;
        maskBorderSource?: any;
        maskBorderWidth?: any;
        maskClip?: any;
        maskOrigin?: any;
        maxFontSize?: any;
        maxHeight?: any;
        maxWidth?: any;
        minHeight?: any;
        minWidth?: any;
        opacity?: number | "initial" | "inherit" | "unset" | undefined;
        order?: number | "initial" | "inherit" | "unset" | undefined;
        orphans?: number | "initial" | "inherit" | "unset" | undefined;
        outline?: any;
        outlineColor?: any;
        outlineOffset?: any;
        overflow?: "auto" | "hidden" | "visible" | "scroll" | "initial" | "inherit" | "unset" | undefined;
        overflowStyle?: any;
        overflowX?: "auto" | "hidden" | "visible" | "scroll" | "initial" | "inherit" | "unset" | undefined;
        overflowY?: "auto" | "hidden" | "visible" | "scroll" | "initial" | "inherit" | "unset" | undefined;
        padding?: any;
        paddingBottom?: any;
        paddingLeft?: any;
        paddingRight?: any;
        paddingTop?: any;
        pageBreakAfter?: any;
        pageBreakBefore?: any;
        pageBreakInside?: any;
        pause?: any;
        pauseAfter?: any;
        pauseBefore?: any;
        perspective?: any;
        perspectiveOrigin?: any;
        pointerEvents?: any;
        position?: "initial" | "inherit" | "unset" | "fixed" | "static" | "relative" | "absolute" | "sticky" | undefined;
        punctuationTrim?: any;
        quotes?: any;
        regionFragment?: any;
        restAfter?: any;
        restBefore?: any;
        right?: any;
        rubyAlign?: any;
        rubyPosition?: any;
        shapeImageThreshold?: any;
        shapeInside?: any;
        shapeMargin?: any;
        shapeOutside?: any;
        speak?: any;
        speakAs?: any;
        strokeOpacity?: number | "initial" | "inherit" | "unset" | undefined;
        strokeWidth?: string | number | undefined;
        tabSize?: any;
        tableLayout?: any;
        textAlign?: any;
        textAlignLast?: any;
        textDecoration?: any;
        textDecorationColor?: any;
        textDecorationLine?: any;
        textDecorationLineThrough?: any;
        textDecorationNone?: any;
        textDecorationOverline?: any;
        textDecorationSkip?: any;
        textDecorationStyle?: any;
        textDecorationUnderline?: any;
        textEmphasis?: any;
        textEmphasisColor?: any;
        textEmphasisStyle?: any;
        textHeight?: any;
        textIndent?: any;
        textJustifyTrim?: any;
        textKashidaSpace?: any;
        textLineThrough?: any;
        textLineThroughColor?: any;
        textLineThroughMode?: any;
        textLineThroughStyle?: any;
        textLineThroughWidth?: any;
        textOverflow?: any;
        textOverline?: any;
        textOverlineColor?: any;
        textOverlineMode?: any;
        textOverlineStyle?: any;
        textOverlineWidth?: any;
        textRendering?: any;
        textScript?: any;
        textShadow?: any;
        textTransform?: any;
        textUnderlinePosition?: any;
        textUnderlineStyle?: any;
        top?: any;
        touchAction?: any;
        transform?: any;
        transformOrigin?: any;
        transformOriginZ?: any;
        transformStyle?: any;
        transition?: any;
        transitionDelay?: any;
        transitionDuration?: any;
        transitionProperty?: any;
        transitionTimingFunction?: any;
        unicodeBidi?: any;
        unicodeRange?: any;
        userFocus?: any;
        userInput?: any;
        verticalAlign?: any;
        visibility?: any;
        voiceBalance?: any;
        voiceDuration?: any;
        voiceFamily?: any;
        voicePitch?: any;
        voiceRange?: any;
        voiceRate?: any;
        voiceStress?: any;
        voiceVolume?: any;
        whiteSpace?: any;
        whiteSpaceTreatment?: any;
        widows?: number | "initial" | "inherit" | "unset" | undefined;
        width?: any;
        wordBreak?: any;
        wordSpacing?: any;
        wordWrap?: any;
        wrapFlow?: any;
        wrapMargin?: any;
        wrapOption?: any;
        writingMode?: any;
        zIndex: number | "auto" | "initial" | "inherit" | "unset";
        zoom?: string | number | undefined;
    };
    render(): JSX.Element;
}
