"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const classNames = require("classnames");
const React = require("react");
class Screen extends React.Component {
    get screenStyle() {
        const { component, index } = this.props;
        const defaultStyle = {
            zIndex: 100 + index,
        };
        const { screenStyle } = component;
        if (screenStyle) {
            return Object.assign({}, defaultStyle, screenStyle);
        }
        return defaultStyle;
    }
    render() {
        const { component, status, index, params, navigator, style } = this.props;
        return (React.createElement("div", { style: Object.assign({}, this.screenStyle, style), className: classNames('react-navigation-screen') }, React.createElement(component, Object.assign({}, params, { navigator, screenMeta: {
                index,
                status,
            } }))));
    }
}
exports.Screen = Screen;
