"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const React = require("react");
const application_1 = require("./components/application");
const navigator_1 = require("./components/navigator");
const registry_1 = require("./registry");
class Store {
    constructor(name) {
        this.pages = {};
        this.name = name;
        this.registry = new registry_1.Registry();
    }
    startWithOptions(options) {
        const ReactDOM = require('react-dom');
        ReactDOM.render(React.createElement(application_1.Application, { registry: this.registry },
            React.createElement(navigator_1.Navigator, { name: "root", initialScreens: options.initialScreen, launcherScreen: options.launcherScreen, homeScreen: options.homeScreen, style: {
                    width: '100%',
                    height: '100%',
                } })), options.element);
    }
}
exports.Store = Store;
